Bug 17039 - Add cancel/new item option when editing an item
Summary: Add cancel/new item option when editing an item
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-03 13:48 UTC by Katrin Fischer
Modified: 2017-11-28 00:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form (2.64 KB, patch)
2017-08-29 03:09 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] [SIGNED-OFF] Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form (2.80 KB, patch)
2017-09-14 12:04 UTC, Hugo Agud
Details | Diff | Splinter Review
Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form (2.70 KB, patch)
2017-10-27 14:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form (2.74 KB, patch)
2017-10-27 14:51 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-08-03 13:48:13 UTC
When you have started to edit an item, there is no 'cancel' link and no easy way to catalog a new item instead.
Comment 1 Aleisha Amohia 2017-08-29 03:09:19 UTC
Created attachment 66572 [details] [review]
Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form

To test:
1) Go the the detail page for a record on staff side
2) Edit an existing item and scroll down to Save button
3) Notice no easy way to add a new item or cancel out of the form
4) Apply patch and refresh page
5) You should now see a new button next to the Save button, 'Add a new
item', and a link 'Cancel'
6) Confirm clicking Cancel takes you back to the detail page for the
record
7) Go to edit an item again
8) Change some fields/add some info to the item
9) Click the 'Add a new item' button and a confirm box should pop up.
10) Confirm that clicking 'cancel' does NOT take you to a new page, and
your changes are still there
11) Click the button again, and this time click 'OK'
12) Confirm you are redirected to the 'add item' form

Sponsored-by: Catalyst IT
Comment 2 Hugo Agud 2017-09-04 07:26:59 UTC
I have applied the patch and it works fine!
Comment 3 Hugo Agud 2017-09-14 12:04:14 UTC
Created attachment 67133 [details] [review]
[SIGNED-OFF] [SIGNED-OFF] Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form

To test:
1) Go the the detail page for a record on staff side
2) Edit an existing item and scroll down to Save button
3) Notice no easy way to add a new item or cancel out of the form
4) Apply patch and refresh page
5) You should now see a new button next to the Save button, 'Add a new
item', and a link 'Cancel'
6) Confirm clicking Cancel takes you back to the detail page for the
record
7) Go to edit an item again
8) Change some fields/add some info to the item
9) Click the 'Add a new item' button and a confirm box should pop up.
10) Confirm that clicking 'cancel' does NOT take you to a new page, and
your changes are still there
11) Click the button again, and this time click 'OK'
12) Confirm you are redirected to the 'add item' form

Sponsored-by: Catalyst IT

Signed-off-by: Your Full Name <your_email>

Signed-off-by: Your Full Name <your_email>

Signed-off-by: Your Full Name <your_email>
Comment 4 Kyle M Hall 2017-10-27 14:50:03 UTC
Created attachment 68737 [details] [review]
Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form

To test:
1) Go the the detail page for a record on staff side
2) Edit an existing item and scroll down to Save button
3) Notice no easy way to add a new item or cancel out of the form
4) Apply patch and refresh page
5) You should now see a new button next to the Save button, 'Add a new
item', and a link 'Cancel'
6) Confirm clicking Cancel takes you back to the detail page for the
record
7) Go to edit an item again
8) Change some fields/add some info to the item
9) Click the 'Add a new item' button and a confirm box should pop up.
10) Confirm that clicking 'cancel' does NOT take you to a new page, and
your changes are still there
11) Click the button again, and this time click 'OK'
12) Confirm you are redirected to the 'add item' form

Sponsored-by: Catalyst IT

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-10-27 14:51:29 UTC
Created attachment 68738 [details] [review]
Bug 17039: Adding 'cancel' link and 'add new item' button to item edit form

To test:
1) Go the the detail page for a record on staff side
2) Edit an existing item and scroll down to Save button
3) Notice no easy way to add a new item or cancel out of the form
4) Apply patch and refresh page
5) You should now see a new button next to the Save button, 'Add a new
item', and a link 'Cancel'
6) Confirm clicking Cancel takes you back to the detail page for the
record
7) Go to edit an item again
8) Change some fields/add some info to the item
9) Click the 'Add a new item' button and a confirm box should pop up.
10) Confirm that clicking 'cancel' does NOT take you to a new page, and
your changes are still there
11) Click the button again, and this time click 'OK'
12) Confirm you are redirected to the 'add item' form

Sponsored-by: Catalyst IT

Signed-off-by: Hugo Agud <hagud@orex.es>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-10-27 19:10:33 UTC
Pushed to master for 17.11, thanks to everybody involved!